#
# spec file for package perl-Test-Roo
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-Roo
Version:        1.004
Release:        1.1
%define cpan_name Test-Roo
Summary:        Composable, reusable tests with roles and Moo
License:        Apache-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-Roo/
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Capture::Tiny) >= 0.12
BuildRequires:  perl(Moo) >= 1.000008
BuildRequires:  perl(MooX::Types::MooseLike::Base)
BuildRequires:  perl(Sub::Install)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(strictures)
Requires:       perl(Moo) >= 1.000008
Requires:       perl(MooX::Types::MooseLike::Base)
Requires:       perl(Sub::Install)
Requires:       perl(Test::More) >= 0.96
Requires:       perl(strictures)
Recommends:     perl(bareword::filehandles)
Recommends:     perl(indirect)
Recommends:     perl(multidimensional)
%{perl_requires}

%description
This module allows you to compose Test::More tests from roles. It is
inspired by the excellent Test::Routine module, but uses Moo instead of
Moose. This gives most of the benefits without the need for Moose as a test
dependency.

Test files are Moo classes. You can define any needed test fixtures as Moo
attributes. You define tests as method modifiers -- similar in concept to
'subtest' in Test::More, but your test method will be passed the test
object for access to fixture attributes. You may compose any Moo::Role into
your test to define attributes, require particular methods, or define
tests.

This means that you can isolate test _behaviors_ into roles which require
certain test _fixtures_ in order to run. Your main test file will provide
the fixtures and compose the roles to run. This makes it easy to reuse test
behaviors.

For example, if you are creating tests for Awesome::Module, you could
create the test behaviors as Awesome::Module::Test::Role and distribute it
with your module. If another distribution subclasses Awesome::Module, it
can compose the Awesome::Module::Test::Role behavior for its own tests.

No more copying and pasting tests from a super class! Superclasses define
and share their tests. Subclasses provide their own fixtures and run the
tests.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING.mkdn examples README
%license LICENSE

%changelog
* Sun May 28 2017 coolo@suse.com
- initial package 1.004
  * created by cpanspec 1.78.08
